Bug 186484 - mount seems unaware of the smb->cifs change
mount seems unaware of the smb->cifs change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 15:08 EST by Brad Smith
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 19:22:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2006-03-23 15:08:34 EST
Running a command like 

mount //server/share /mnt/tmp

bombs, saying that smbfs is an unsupported fs type. The following does work:

mount -t cifs //server_ip/share /mnt/tmp

But note that I had to use the ip. Not quite sure what's up there. nmblookup
can figure out the server's ip by name, but mount can't figure it out
unless I just use the ip. Strangely there's no mention of any of this in
the release notes.

So there are probably two bugs: 

1) mount.cifs doesn't seem to like nmb names
2) mount should start treating //foo/bar as a cifs share instead of smbfs

Let me know if I should re-submit (2) as a mount bug.
Comment 1 Steve French 2006-11-25 16:02:13 EST
mount.cifs does not handle netbios names the same way as smbfs.

cifs specifies the tcp or ip address of the server in the UNC name, and the
Netbios name of the server as a mount parm e.g.
   mount -t cifs //tcpname-or-ip-address/sharename /mnt -o servern=NCBNAME

We have considering changing mount.cifs to retry mount automatically using the
tcp name as the netbiosname if the mount to the server fails with certain return
codes.
Comment 2 Simo Sorce 2007-11-21 19:22:11 EST
It's fixed in F7, closing as WONTFIX as FC5 is out of maintenance now.

Note You need to log in before you can comment on or make changes to this bug.